Companies
This endpoint returns BTC mining company data.
Company data consists of statistical metrics based on rewards and production data for each mining company.
coinbase_rewards, The daily amount of Bitcoin mined directly from a coinbase transaction. And coinbase_rewards will only be added to mara.
other_mining_rewards, The daily amount of Bitcoin received as payment from a mining pool. Tipically, mining pools pay miners with Bitcoin from a coinbase transaction.
total_rewards, The daily sum of coinbase rewards and other mining rewards (in number of Bitcoin).
accumulated_monthly_rewards, The daily running sum of total rewards in each month (in number of Bitcoin).
unique_txn, The total number of Bitcoin transactions involving a mining reward.
active_address_count, The number of addresses from a company that received a block reward each day.
reported_production, The company’s reported total monthly production (in number of Bitcoin).
report_accuracy, The ratio of accumulated monthly rewards to reported production times 100. It represents the % of total reported production captured by On-chain transactions.
closing_usd, The daily closing price of Bitcoin in USD.
total_daily_rewards_closing_usd, Daily total rewards in USD using the closing usd price.
accumulated_monthly_rewards_closing_usd, accumulated monthly rewards in usd using the closing usd price.
| Name | Miner |
|---|---|
| MARA | mara |
| RIOT | riot |
| CORE | core |
| HIVE | hive |
| CLSK | clsk |
| BITF | bitf |
| CIPHER | cipher |
| WULF | wulf |
| IREN | iren |
Authorizations
For each API request, include this HTTP header:
Authorization with the Bearer {access_token}. Bearer access token is the type of HTTP Authorization. You have to include access token to the HTTP header and note that leading bearer is required.
You must include your access token in HTTP header in every request you make. The token is unique, issued for each client, and regularly changed(once a year). To obtain an access token, please upgrade your plan to Professional or Premium plan. You'll be able to see your access token on the API tab of your profile page after the subscription.
Query Parameters
Currently we support day, hour, and block.
This defines the starting time for which data will be gathered, formatted as YYYYMMDDTHHMMSS (indicating YYYY-MM-DDTHH:MM:SS, UTC time). If window=day is used, it can also be formatted as YYYYMMDD (date). If window=block is used, you can also specify the exact block height (e.g. 510000). If this field is not specified, response will include data from the earliest time.
This defines the ending time for which data will be gathered, formatted as YYYYMMDDTHHMMSS (indicating YYYY-MM-DDTHH:MM:SS, UTC time). If window=day is used, it can also be formatted as YYYYMMDD (date). If window=block is used, you can also specify the exact block height (e.g. 510000). If this field is not specified, response will include data from the latest time.
The maximum number of entries to return before the latest data point (or before to if specified). This field ranges from 1 to 100,000.
1 <= x <= 100000A format type about return message type. Supported formats are json, csv.